- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages
- Examples

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# unreferenced_argument_exception Class Reference
[Format API Interface Functions]

`#include <fastformat/exceptions.hpp>`

Inheritance diagram for unreferenced_argument_exception:

List of all members.

## Detailed Description

Exception class that represents the case where one or more arguments in the argument list are unreferenced in the format.

Note:
  By default, FastFormat does not designate the presence of excess arguments as a defective statement. To cause such a designation, you need to TODO: FILL THIS OUT

Examples:

  examples/example.ff_101/example.ff_101.cpp.

## Public Types
typedef mismatched_replacements_exception | parent_class_type
| The parent exception class type.
typedef unreferenced_argument_exception | class_type
| This type.
typedef parent_class_type::string_type | string_type
| The string type.
## Public Member Functions
| unreferenced_argument_exception (char const *message, ff_replacement_code_t code, int numberOfReplacements, int firstMismatchedReplacementIndex)
| Constructs an exception with the given message.

## Member Typedef Documentation

typedef mismatched_replacements_exception parent_class_type

The parent exception class type.

Reimplemented from mismatched_replacements_exception.

typedef unreferenced_argument_exception class_type

This type.

Reimplemented from mismatched_replacements_exception.

typedef parent_class_type::string_type string_type

The string type.

Reimplemented from mismatched_replacements_exception.

## Constructor & Destructor Documentation

unreferenced_argument_exception | ( | char const * | message,
|  | ff_replacement_code_t | code,
|  | int | numberOfReplacements,
|  | int | firstMismatchedReplacementIndex |
| ) |  |  | `[inline]`

Constructs an exception with the given message.

Parameters:

  | message | The message. May not be NULL
  | code | The code associated with the condition
  | numberOfReplacements | The number of replacement elements
  | firstMismatchedReplacementIndex | The index of the first mismatched replacement element

The documentation for this class was generated from the following file:

- fastformat/exceptions.hpp

FastFormat Library documentation © Matthew Wilson, 2006-2009 |